property spriteNum, mySprite, endLocV, startSpriteChan, endSpriteChan, incrementAmount

on getPropertyDescriptionList
  description = [#endLocV: [#comment: "Bottom of the last visible menu item.", #default: 0, #format: #integer], #startSpriteChan: [#comment: "First channel of sprites to scroll", #default: 0, #format: #integer], #endSpriteChan: [#comment: "Last channel of sprites to scoll", #default: 0, #format: #integer], #incrementAmount: [#comment: "Amount to increment when pressed (Height of mask)", #default: 0, #format: #integer]]
  return description
end

on enterFrame me
  mySprite = sprite(spriteNum)
  if rollover(mySprite) then
    if sprite(endSpriteChan).bottom > endLocV then
      repeat with i = startSpriteChan to endSpriteChan
        sprite(i).locV = sprite(i).locV - 3
      end repeat
    end if
  end if
end

on mouseDown me
  if sprite(endSpriteChan).bottom > (endLocV + incrementAmount) then
    repeat with i = startSpriteChan to endSpriteChan
      sprite(i).locV = sprite(i).locV - incrementAmount
    end repeat
  end if
end
