property myURL

on getBehaviorDescription me
  return "GO TO URL" & RETURN & RETURN & "Drop this behavior onto a Sprite, the Stage or into the Script Channel of the Score to load the designated HTML Page." & RETURN & RETURN & "If you drop it onto a graphic member, the 'gotoNetPage' command is sent when the user clicks on the sprite (on mouseUp)." & RETURN & RETURN & "If you drop it onto the Stage or the Script Channel of the Score, it will be sent when the playback head leaves the frame (on exitFrame)." & RETURN & RETURN & "When called from a Shockwave movie, this behavior replaces the current page displayed in the web browser. " & "When called from a projector or in authoring mode, it opens a browser to display the requested page." & RETURN & RETURN & "PARAMETERS:" & RETURN & "* Destination URL - Enter the complete URL of the destination page. " & "Include http://"
end

on getBehaviorTooltip me
  return "Use with graphic members or as a frame behavior. " & "When called from a Shockwave movie, this behavior replaces the current page displayed in the web browser. " & "When called from a projector or in authoring mode, it opens a browser to display the requested page. " & "Acts on mouseUp or on exitFrame, depending on whether you drag it to a sprite or to the Stage."
end

on mouseUp me
  gotoNetPage(myURL)
end

on exitFrame me
  if the currentSpriteNum = 0 then
    gotoNetPage(myURL)
  end if
end

on isOKToAttach me, aSpriteType, aSpriteNum
  return 1
end

on getPropertyDescriptionList
  return [#myURL: [#comment: "Destination URL", #format: #string, #default: "http://www.jamesbond.com/index.html"]]
end
