property spriteNum, mySprite, onMember, offMember, otherMember
global photoDL, bioDL, logoDL, layoutDL, ProNoteDL, thumbList, bioList, logoList, layoutList, ProNoteList, selectall

on beginSprite me
  mySprite = sprite(spriteNum)
  if selectall then
    mySprite.member = member("Deselect All")
  else
    mySprite.member = member("Select All")
  end if
  setUpRollOver()
end

on mouseEnter me
  mySprite.member = onMember
end

on mouseLeave me
  mySprite.member = offMember
end

on mouseUp me
  if mySprite.member.name contains "Deselect" then
    selectall = 0
    sendAllSprites(#resetHilite)
    mySprite.member = otherMember
    updateStage()
    setUpRollOver()
    photoDL = []
    bioDL = []
    logoDL = []
    layoutDL = []
    ProNoteDL = []
  else
    selectall = 1
    sendAllSprites(#hilite)
    mySprite.member = otherMember
    updateStage()
    setUpRollOver()
    photoDL = thumbList.duplicate()
    bioDL = bioList.duplicate()
    logoDL = logoList.duplicate()
    layoutDL = layoutList.duplicate()
    ProNoteDL = ProNoteList.duplicate()
  end if
end

on setUpRollOver me
  offMember = mySprite.member
  offNumber = mySprite.member.number
  onMember = member(offNumber + 1)
  if offMember.name contains "Deselect" then
    otherMember = member(offNumber - 2)
  else
    otherMember = member(offNumber + 2)
  end if
end

on reSetSelect me
  if offMember.name contains "Deselect" then
    mySprite.member = otherMember
    setUpRollOver()
  end if
end
