property spriteNum, mySprite, endLocV, startSpriteChan, endSpriteChan, incrementAmount, initLocV

on getPropertyDescriptionList
  description = [#endLocV: [#comment: "Bottom of the first visible menu item.", #default: 0, #format: #integer], #startSpriteChan: [#comment: "First channel of sprites to scroll", #default: 0, #format: #integer], #endSpriteChan: [#comment: "Last channel of sprites to scoll", #default: 0, #format: #integer], #incrementAmount: [#comment: "Amount to jump when pressed (Height of mask)", #default: 0, #format: #integer], #initLocV: [#comment: "Inital Y position", #default: 0, #format: #integer]]
  return description
end

on enterFrame me
  mySprite = sprite(spriteNum)
  if rollover(mySprite) then
    if sprite(startSpriteChan).bottom < endLocV then
      repeat with i = startSpriteChan to endSpriteChan
        sprite(i).locV = sprite(i).locV + 3
      end repeat
    end if
  end if
end

on mouseDown me
  if sprite(startSpriteChan).bottom < (endLocV - incrementAmount) then
    repeat with i = startSpriteChan to endSpriteChan
      sprite(i).locV = sprite(i).locV + incrementAmount
    end repeat
  else
    repeat with i = startSpriteChan to endSpriteChan
      sprite(i).locV = initLocV
    end repeat
  end if
end
